[package]
name = "hardware_toolkit"
version = "0.1.0"
edition = "2024"
build = "build.rs"

[dependencies]
iced = { git = "https://github.com/iced-rs/iced.git", features = [
  "debug",
  "advanced",
  "image",

] }
tokio = { version = "1.45.1", features = ["full"] }
reqwest = "0.12.20"
tracing-subscriber = { version = "0.3.19", features = [
  "chrono",
  "env-filter",
  "json",
  "once_cell",
  "regex",
  "serde",
  "serde_json",
  "time",
  "tracing",
] }
utfx = "0.1.0"
registry = "1.3.0"
anyhow = { version = "1.0.98", features = ["backtrace"] }
log = "0.4.27"
env_logger = "0.11.8"
iced_fonts = { version = "0.2.1", features = ["full"] }


[build-dependencies]
embed-resource = "3.0.3"
